version: '3.5'

services:
  nodejs_postgres:
    image: postgres
    environment:
      TZ: Europe/Paris
      PGTZ: Europe/Paris
      POSTGRES_DB: test
      POSTGRES_USER: admin
      POSTGRES_PASSWORD: password
    volumes:
      - nodejs_postgres:/var/lib/postgresql/data
    ports:
      - "5432:5432"
    networks:
      - nodejs
    restart: unless-stopped

  nodejs_pgadmin:
    image: dpage/pgadmin4:4.23
    environment:
      TZ: Europe/Paris
      PGADMIN_DEFAULT_EMAIL: pgadmin4@pgadmin.org
      PGADMIN_DEFAULT_PASSWORD: password
    volumes:
      - nodejs_pgadmin:/var/lib/pgadmin
    ports:
      - "5050:80"
    networks:
      - nodejs
    restart: unless-stopped

volumes:
  nodejs_postgres:
  nodejs_pgadmin:

networks:
  nodejs:
